==================================================
 ceph-rbdnamer -- udev helper to name RBD devices
==================================================

.. program:: ceph-rbdnamer


Synopsis
========

| **ceph-rbdnamer** *num*


Description
===========

**ceph-rbdnamer** prints the pool and image name for the given RBD devices
to stdout. It is used by `udev` (using a rule like the one below) to
set up a device symlink.


::

        KERNEL=="rbd[0-9]*", PROGRAM="/usr/bin/ceph-rbdnamer %n", SYMLINK+="rbd/%c{1}/%c{2}"


Availability
============

**ceph-rbdnamer** is part of the Ceph distributed file system.  Please
refer to the Ceph wiki at http://ceph.newdream.net/wiki for more
information.


See also
========

:doc:`rbd <rbd>`\(8),
:doc:`ceph <ceph>`\(8)
